Retrieves all the company contact
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "f64c982a-9ef8-4037-840b-4a17b02807e1",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "01a21153-5ae5-4697-a5fb-974bd83f83be",
"company_code": "sample string 5",
"company": {
"id": "91d6160c-9dcc-46b4-9a25-10aa81039d7f",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-20T21:30:43.4468692+00:00",
"sales_territory_id": "81bb1d28-0463-48ad-bd10-ff4737896bee",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "0b7d063d-6749-4c10-b15a-2f3f77cf4513",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "24de392b-cd08-44b9-aaf5-984766a8007e",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "dc3dda61-50df-492d-8cb4-130a2ec0f38d",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "d3776175-5fc8-447e-b3bf-f3c2f03c87e9",
"db_currency_id": "2c942732-e1dd-45e0-8ccb-bf4ebdb49eea",
"db_language_id": "6030cfbe-46c6-4008-9f8a-49630c4fba61",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-20T21:30:43.4640391+00:00"
},
"modified_dateutc": "2026-10-20T21:30:43.4640391+00:00"
},
"marketing_segment_id": "190ce25e-1118-40ad-89eb-32a1a281cf85",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "1fe1d012-7094-43ba-8177-2eebe9ce29e2",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "057a5e75-473e-4baa-9e18-0ff6bc8473c0",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "dfc24f41-8fb4-4ea7-87b1-93867846cdab",
"db_country_code": "sample string 28",
"feelist_id": "d11a2c56-6465-4261-a0ce-2f640fb6081b",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "801cab78-9309-43cb-9de5-71b4b4678d4d",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "ff47e04b-d28d-4597-be34-8f5e15ea2db6",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-20T21:30:43.4640391+00:00",
"db_currency_id": "378bb64e-b39e-44bf-a673-b6dbe84436b8",
"db_currency_code": "sample string 10"
},
"company_type_id": "79c9dd89-d0a4-411b-a1ae-7944291aaa35",
"company_type_name": "sample string 32",
"company_type": {
"id": "baf9e0ba-4cae-4c2d-93e0-132320b4ee9f",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "6e9e358a-b86a-41db-8968-aa35f104c54f",
"sales_organization_code": "sample string 5"
},
"db_language_id": "113f2f67-9b3a-4cf7-b5e4-afdf4dfa5574",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "87263d59-2d7a-48cd-95ae-6dfa4f220d32",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "c7cb65d8-a2a7-4fa2-a5fd-6fbd2a2c3d24",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "5cfe0af0-41f9-4277-8fb3-1c5b4e4ab3fa",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-20T21:30:43.4640391+00:00"
},
"company_sector_id": "f7fcfdbd-641f-4396-ae82-7c87edc09d49",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "55e275c7-0d89-4f53-9e67-b639979b1ee0",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "b20bda17-ba60-4568-927d-632dd1f9b3f0",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "6964cbf2-7c39-4dd5-b495-f31e1415dea3",
"account_manager_user_code": "sample string 56",
"company_status_id": "a879451f-4e44-4278-8c34-7c8d41fe64bc",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-20T21:30:43.4640391+00:00",
"id2": 60
},
"db_language_id": "7818d59a-58fd-4dfc-a219-9953ab96dd9b",
"db_language_code": "sample string 7",
"db_title_id": "617745d5-2ab4-40ce-83cb-3d1a2a353047",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-20T21:30:43.4640391+00:00",
"create_date": "2026-10-20T21:30:43.4640391+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-20T21:30:43.4640391+00:00"
}